Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPLiteralData

    java.lang.Object
      |
      +--org.bouncycastle.openpgp.PGPLiteralData

public class PGPLiteralData
extends java.lang.Object

class for processing literal data objects.

Field Summary
`static char` | `BINARY`
`static java.lang.String` | `CONSOLE` The special name indicating a "for your eyes only" packet.
`static char` | `TEXT`

Constructor Summary
`PGPLiteralData(BCPGInputStream pIn)`

Method Summary
`java.io.InputStream` | `getDataStream()` Return the input stream representing the data stream
`java.lang.String` | `getFileName()` Return the file name that's associated with the data stream.
`int` | `getFormat()` Return the format of the data stream - BINARY or TEXT.
`java.io.InputStream` | `getInputStream()` Return the raw input stream for the data stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINARY

    public static final char BINARY

See Also:
  Constant Field Values

### TEXT

    public static final char TEXT

See Also:
  Constant Field Values

### CONSOLE

    public static final java.lang.String CONSOLE

  The special name indicating a "for your eyes only" packet.

  See Also:
    Constant Field Values

Constructor Detail

### PGPLiteralData

    public PGPLiteralData(BCPGInputStream pIn)
                   throws java.io.IOException

Method Detail

### getFormat

    public int getFormat()

  Return the format of the data stream - BINARY or TEXT.

  Returns:
    int

### getFileName

    public java.lang.String getFileName()

  Return the file name that's associated with the data stream.

  Returns:
    String

### getInputStream

    public java.io.InputStream getInputStream()

  Return the raw input stream for the data stream.

  Returns:
    InputStream

### getDataStream

    public java.io.InputStream getDataStream()

  Return the input stream representing the data stream

  Returns:
    InputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD